package pathgame;

import me.hammerle.snuviengine.api.IGame;
import me.hammerle.snuviengine.api.Renderer;
import pathgame.rendering.TileMapRenderer;
import pathgame.tilemap.TileMap;
import pathgame.utils.TestUtils;
import gameplay.Hiker;

public class PathGame implements IGame
{
    private final TileMapRenderer mapRenderer = new TileMapRenderer();
    private final TileMap map = TestUtils.getTestMap(25, 15);
    
    private final Hiker player = new Hiker();
    
    public PathGame()
    {
        
    }
    
    @Override
    public void tick()
    {
        mapRenderer.tick();        
        player.tick();
    }
    
    @Override
    public void renderTick(Renderer r, float lag)
    {
        mapRenderer.renderTick(map, r, false, 0.0f, 0.0f);
        player.renderTick(r, lag);
    }

    @Override
    public void onStop()
    {
    }
}
